Index: Prototype Application/Paw5/src/main/resources/templates/CreatePost.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/CreatePost.html	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
+++ 	(revision )
@@ -1,76 +1,0 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Create a post</title>
-</head>
-<body>
-    <h1>Create post</h1>
-<form method="post" action="/CreatePost">
-
-    <div id="SelectPet">
-        <label for="pet">Selet pet:</label>
-        <select id="pet">
-        </select>
-    </div>
-
-    <div id="AddNewPet">
-        <label for="newpet">Add new pet:</label>
-            <input id="newpet" name="newpet" placeholder="newpet" type="checkbox">
-    </div>
-
-    <div id="PetName">
-        Name:<input id="name" name="name" placeholder="name" type="text">
-    </div>
-
-    <div id="Genders">
-        <label for="gender">Gender:</label>
-        <select id="gender" name="gender">
-            <option value = "MALE">male</option>
-            <option value = "FEMALE">female</option>
-        </select>
-    </div>
-
-    <div id="AgeGroup">
-        <label for="age">Age Group:</label>
-        <select id="age" name="size">
-            <option value = "YOUNG">young</option>
-            <option value = "ADULT">adult</option>
-            <option value = "ELDER">elder</option>
-        </select>
-    </div>
-
-    <div id="Sizes">
-        <label for="size">Size:</label>
-        <select id="size" name="size">
-            <option value = "XSMALL">extra small</option>
-            <option value = "SMALL">small</option>
-            <option value = "MEDIUM">medium</option>
-            <option value = "LARGE">large</option>
-            <option value = "XLARGE">extra large</option>
-        </select>
-    </div>
-
-    <div id="Species">
-        <label for="specie">Species:</label>
-        <select id="specie" name="specie">
-            <option value = "CAT">cat</option>
-            <option value = "DOG">dog</option>
-            <option value = "BIRD">bird</option>
-        </select>
-    </div>
-
-    <div id="Breeds">
-        Breed:<input id="breed" name="breed" placeholder="breed" type="text">
-    </div>
-
-    <div id="UploadImages">
-        URL of Image:<input id="image" name="image" placeholder="image" type="text">
-       <!-- <label for="upload">Image:</label>
-        <input id="upload" type="file" accept="image/*">
-        <input type="submit">-->
-    </div>
-    <input id="SubmitPost" type="submit">
-</form>
-</body>
-</html>
Index: Prototype Application/Paw5/src/main/resources/templates/create-post.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/create-post.html	(revision 468b7b62cf974bd937d2fb853caef76cee7a9714)
+++ Prototype Application/Paw5/src/main/resources/templates/create-post.html	(revision 468b7b62cf974bd937d2fb853caef76cee7a9714)
@@ -0,0 +1,104 @@
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:th="http://www.thymeleaf.org"
+      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
+      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
+<head>
+    <meta charset="UTF-8">
+    <title>Create a post</title>
+</head>
+<body>
+    <h1>Create post</h1>
+<form th:action="@{/submit-post}" method="post">
+
+    <div>
+        <label for="pet">Selet pet:</label>
+        <select id="pet">
+        </select>
+    </div>
+
+    <div>
+        <label for="newpet">Add new pet:</label>
+            <input id="newpet" name="newpet" placeholder="newpet" type="checkbox">
+    </div>
+
+    <div>
+        <label for="name">Name:</label>
+        <input type="text"
+               id="name"
+               name="name"
+               placeholder="Enter name">
+    </div>
+
+    <div>
+        <label for="gender">Gender:</label>
+        <select id="gender"
+                name="gender">
+            <option value = "MALE">male</option>
+            <option value = "FEMALE">female</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="ageGroup">Age Group:</label>
+        <select id="ageGroup"
+                name="ageGroup">
+            <option value = "YOUNG">young</option>
+            <option value = "ADULT">adult</option>
+            <option value = "ELDER">elder</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="size">Size:</label>
+        <select id="size"
+                name="size">
+            <option value = "XSMALL">extra small</option>
+            <option value = "SMALL">small</option>
+            <option value = "MEDIUM">medium</option>
+            <option value = "LARGE">large</option>
+            <option value = "XLARGE">extra large</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="species">Species:</label>
+        <select id="species"
+                name="species">
+            <option value = "CAT">cat</option>
+            <option value = "DOG">dog</option>
+            <option value = "BIRD">bird</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="breed">Breed:</label>
+        <input type="text"
+               id="breed"
+               name="breed"
+               placeholder="Enter breed" >
+    </div>
+
+    <div>
+        <label for="imageUrl">Image URL:</label>
+        <input type="text"
+               id="imageUrl"
+               name="imageUrl"
+               placeholder="Enter image URL">
+        <!-- <label for="upload">Image:</label>
+        <input id="upload" type="file" accept="image/*">
+        <input type="submit">-->
+    </div>
+
+    <div>
+        <label for="canBeFostered">Can be fostered:</label>
+        <input type="checkbox"
+               id="canBeFostered"
+               name="canBeFostered">
+    </div>
+
+    <button id="submit" type="submit">Submit</button>
+
+</form>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/createpost.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/createpost.html	(revision 738b31a3e195227c35283c237e83ac79a2fa0251)
+++ 	(revision )
@@ -1,76 +1,0 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Create a post</title>
-</head>
-<body>
-    <h1>Create post</h1>
-<form method="post" action="/CreatePost">
-
-    <div id="SelectPet">
-        <label for="pet">Selet pet:</label>
-        <select id="pet">
-        </select>
-    </div>
-
-    <div id="AddNewPet">
-        <label for="newpet">Add new pet:</label>
-            <input id="newpet" name="newpet" placeholder="newpet" type="checkbox">
-    </div>
-
-    <div id="PetName">
-        Name:<input id="name" name="name" placeholder="name" type="text">
-    </div>
-
-    <div id="Genders">
-        <label for="gender">Gender:</label>
-        <select id="gender" name="gender">
-            <option value = "MALE">male</option>
-            <option value = "FEMALE">female</option>
-        </select>
-    </div>
-
-    <div id="AgeGroup">
-        <label for="age">Age Group:</label>
-        <select id="age" name="size">
-            <option value = "YOUNG">young</option>
-            <option value = "ADULT">adult</option>
-            <option value = "ELDER">elder</option>
-        </select>
-    </div>
-
-    <div id="Sizes">
-        <label for="size">Size:</label>
-        <select id="size" name="size">
-            <option value = "XSMALL">extra small</option>
-            <option value = "SMALL">small</option>
-            <option value = "MEDIUM">medium</option>
-            <option value = "LARGE">large</option>
-            <option value = "XLARGE">extra large</option>
-        </select>
-    </div>
-
-    <div id="Species">
-        <label for="specie">Species:</label>
-        <select id="specie" name="specie">
-            <option value = "CAT">cat</option>
-            <option value = "DOG">dog</option>
-            <option value = "BIRD">bird</option>
-        </select>
-    </div>
-
-    <div id="Breeds">
-        Breed:<input id="breed" name="breed" placeholder="breed" type="text">
-    </div>
-
-    <div id="UploadImages">
-        URL of Image:<input id="image" name="image" placeholder="image" type="text">
-       <!-- <label for="upload">Image:</label>
-        <input id="upload" type="file" accept="image/*">
-        <input type="submit">-->
-    </div>
-    <input id="SubmitPost" type="submit">
-</form>
-</body>
-</html>
